# set\_fees

{% hint style="warning" %}
This entrypoint should be called only by `admin` address.
{% endhint %}

This entrypoint is designed to update fee rates.

More info about fee storage and precisions, please, read [Storage and types overview](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/storage-and-types-overview.md#fee-storage-fee-rates-record) section.

### Call parameters

<table><thead><tr><th width="150">Field</th><th width="190" align="center">Type</th><th width="448.2">Description</th></tr></thead><tbody><tr><td>pool_id</td><td align="center"><code>pool_id_t</code></td><td>pool identifier.</td></tr><tr><td>fee</td><td align="center"><code>fees_storage_t</code></td><td>contains fee rates, percent multiplied by <span class="math">10^{10}</span>, for liquidity providers, QUIPU token stakers, and for referral.</td></tr></tbody></table>

```pascaligo
type fees_storage_t     is [@layout:comb] record [
  lp                      : nat; 
  stakers                 : nat;
  ref                     : nat;
]

type set_fee_param_t    is [@layout:comb] record [
  pool_id                 : pool_id_t;
  fee                     : fees_storage_t;
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods/set_fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
